Subject: Re: regarding kgdb in ppc

From: Sergei Shtylyov <[email-masked]>
Date: Mon, 29 Jan 2007 16:00:14 +0300

Hello.

sudheer wrote:

>>> I gave the following bootargs:
>>> console=ttyS0,115200 root=/dev/ram rw 
>>> kgdboe=@192.168.3.80/,@192.168.3.14/00:08:A1:84:EF:CA kgdbwait

>>    You don't have to specify the remote MAC, IIUC.

> When i dont give the mac address, the mac address all FFs(default) is 
> considered. So am giving the mac address too, only then its working 
> properly.

    What, you don't have ARP on host?!

> I have added few lines of code in driver/net/gianfar.c

> void gfar_poll_gianfar(struct net_device *dev )
> {
>    disable_irq(dev->irq);
>    gfar_interrupt(dev->irq, dev,  NULL);
>    enable_irq(dev->irq);
> 
> }

    This isn't complete, please use the community patch.  Gianfar TSEC has 3 
interrupts and all of them must be disabled.

> Now am able to boot the target kernel without any error. kgdb waits for 
> gdb connection.

>>> kgdboe: local port 6443
>>> kgdboe: local IP 192.168.3.80
>>> kgdboe: interface eth0
>>> kgdboe: remote port 6442
>>> kgdboe: remote IP 192.168.3.14
>>> kgdboe: remote ethernet address 00:08:a1:84:ef:ca
>>> kgdboe: eth0 doesn't support polling, aborting.
>>> kgdboe: netpoll_setup failed kgdboe failed

>>    Have you backported the gianfar netpoll patch from 2.6.20-rc1?

> I haven't backported the 2.6.20-rc1. As there are  many patches under 
> that tree , i didnt try for it and could not know which one to add.

    You certainly didn't need to backport the whole 2.6.20-rc1, only a signle 
patch (-:

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff_plain;h=f2d71c2d800e68f158a5949e38b23f5140948548

WBR, Sergei